#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull amir20/dozzle:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep Dozzle | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi

docker create -i -t --name=Dozzle \
	-p 38080:8080 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /var/run/docker.sock:/var/run/docker.sock \
	--restart unless-stopped \
	amir20/dozzle:latest --no-analytics


docker start Dozzle


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep amir20/dozzle | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
